notification-settings

Operations of the User Hub API. Paths are relative to your deployment's API host.

GET /api/user-hub-api/notification-settings

Get all notification preferences for the user

Authentication: bearer token (Authorization: Bearer <token>)

StatusDescriptionBody
200application/json NotificationPreferenceResponseDtoDataArrayEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

PUT /api/user-hub-api/notification-settings

Bulk upsert notification preferences

Authentication: bearer token (Authorization: Bearer <token>)

Request body: application/json BulkUpsertPreferencesDto

StatusDescriptionBody
200application/json NotificationPreferenceResponseDtoDataArrayEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

PUT /api/user-hub-api/notification-settings/{category}/{channel}

Set notification preference for a specific category and channel

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
categorypathstringyes
channelpathstringyes

Request body: application/json SinglePreferenceDto

StatusDescriptionBody
200application/json NotificationPreferenceResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

DELETE /api/user-hub-api/notification-settings/{category}/{channel}

Reset notification preference to platform default

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
categorypathstringyes
channelpathstringyes
StatusDescriptionBody
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto